# -*- encoding: utf-8 -*-
# stub: omniauth-openshift 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "omniauth-openshift"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Chris Pitman"]
  s.date = "2017-01-10"
  s.description = "An OpenShift OAuth2 strategy for OmniAuth that allows applications to authenticate against OpenShift users"
  s.email = ["cpitman@redhat.com"]
  s.files = [".travis.yml", "Gemfile", "Rakefile", "lib/omniauth-openshift.rb", "lib/omniauth-openshift/version.rb", "lib/omniauth/strategies/openshift.rb", "omniauth-openshift.gemspec"]
  s.homepage = "https://github.com/cpitman/omniauth-openshift"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "An OpenShift OAuth2 strategy for OmniAuth that allows applications to authenticate against OpenShift users"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<omniauth-oauth2>, ["~> 1.4"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
    else
      s.add_dependency(%q<omniauth-oauth2>, ["~> 1.4"])
      s.add_dependency(%q<bundler>, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<omniauth-oauth2>, ["~> 1.4"])
    s.add_dependency(%q<bundler>, ["~> 1.0"])
  end
end
